Package org.eclipse.birt.report.model.api.validators

# Class DataSetResultSetValidator

java.lang.Object
org.eclipse.birt.report.model.validators.AbstractSemanticValidator
org.eclipse.birt.report.model.validators.AbstractElementValidator
org.eclipse.birt.report.model.api.validators.DataSetResultSetValidator

@Deprecated public class DataSetResultSetValidator extends org.eclipse.birt.report.model.validators.AbstractElementValidator
Deprecated.
since birt 2.2
Validates the result set of the given data set has at least one column.

### Rule

The rule is that the result set of the given data set has at least one column.

### Applicability

This validator is only applied to `DataSet` .

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`modules, name`

## Constructor Summary

Constructors
Constructor
Description
`DataSetResultSetValidator()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static DataSetResultSetValidator`
`getInstance()`
Deprecated.
Returns the singleton validator instance.
`List<SemanticException>`
`validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Deprecated.
Validates whether the result set of the given data set has no column defined.

### Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataSetResultSetValidator

public DataSetResultSetValidator()
Deprecated.

## Method Details

### getInstance

public static DataSetResultSetValidator getInstance()
Deprecated.
Returns the singleton validator instance.

Returns:
  the validator instance

### validate

public List<SemanticException> validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Deprecated.
Validates whether the result set of the given data set has no column defined.

Specified by:
  `validate` in class `org.eclipse.birt.report.model.validators.AbstractElementValidator`
Parameters:
  `module` - the module
  `element` - the data set to validate
Returns:
  error list, each of which is the instance of `SemanticException`.